### Function

# FwupdPlugin strwidth

#### Declaration [src]

    gsize
    fu_strwidth (
      const gchar* text
    )

#### Description [src]

Returns the width of the string in displayed characters on the console.

Available since: | 1.8.2

#### Parameters

`text` | `const gchar*`
| The string to operate on.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gsize`
| Width of text.